## anjuta-enum-types

anjuta-enum-types

## Synopsis

    GType               anjuta_shell_error_get_type         (void);
    #define             ANJUTA_TYPE_SHELL_ERROR
    GType               anjuta_shell_placement_get_type     (void);
    #define             ANJUTA_TYPE_SHELL_PLACEMENT
    GType               anjuta_convert_error_get_type       (void);
    #define             ANJUTA_TYPE_CONVERT_ERROR
    GType               anjuta_plugin_description_parse_error_get_type
                                                            (void);
    #define             ANJUTA_TYPE_PLUGIN_DESCRIPTION_PARSE_ERROR
    GType               anjuta_plugin_manager_error_get_type
                                                            (void);
    #define             ANJUTA_TYPE_PLUGIN_MANAGER_ERROR
    GType               anjuta_profile_error_get_type       (void);
    #define             ANJUTA_TYPE_PROFILE_ERROR
    GType               anjuta_property_object_type_get_type
                                                            (void);
    #define             ANJUTA_TYPE_PROPERTY_OBJECT_TYPE
    GType               anjuta_property_data_type_get_type  (void);
    #define             ANJUTA_TYPE_PROPERTY_DATA_TYPE
    GType               anjuta_launcher_output_type_get_type
                                                            (void);
    #define             ANJUTA_TYPE_LAUNCHER_OUTPUT_TYPE
    GType               anjuta_session_phase_get_type       (void);
    #define             ANJUTA_TYPE_SESSION_PHASE
    GType               anjuta_serializer_mode_get_type     (void);
    #define             ANJUTA_TYPE_SERIALIZER_MODE
    GType               anjuta_vcs_status_get_type          (void);
    #define             ANJUTA_TYPE_VCS_STATUS
    GType               gbf_project_error_get_type          (void);
    #define             ANJUTA_TYPE_PROJECT_ERROR
    GType               gbf_project_capabilities_get_type   (void);
    #define             ANJUTA_TYPE_PROJECT_CAPABILITIES
    GType               anjuta_project_node_type_get_type   (void);
    #define             ANJUTA_TYPE_PROJECT_NODE_TYPE
    GType               anjuta_project_target_class_get_type
                                                            (void);
    #define             ANJUTA_TYPE_PROJECT_TARGET_CLASS

## Description

## Details

### anjuta_shell_error_get_type ()

    GType               anjuta_shell_error_get_type         (void);

Returns : |

### ANJUTA_TYPE_SHELL_ERROR

    #define ANJUTA_TYPE_SHELL_ERROR (anjuta_shell_error_get_type())

### anjuta_shell_placement_get_type ()

    GType               anjuta_shell_placement_get_type     (void);

Returns : |

### ANJUTA_TYPE_SHELL_PLACEMENT

    #define ANJUTA_TYPE_SHELL_PLACEMENT (anjuta_shell_placement_get_type())

### anjuta_convert_error_get_type ()

    GType               anjuta_convert_error_get_type       (void);

Returns : |

### ANJUTA_TYPE_CONVERT_ERROR

    #define ANJUTA_TYPE_CONVERT_ERROR (anjuta_convert_error_get_type())

### anjuta_plugin_description_parse_error_get_type ()

    GType               anjuta_plugin_description_parse_error_get_type
                                                            (void);

Returns : |

### ANJUTA_TYPE_PLUGIN_DESCRIPTION_PARSE_ERROR

    #define ANJUTA_TYPE_PLUGIN_DESCRIPTION_PARSE_ERROR (anjuta_plugin_description_parse_error_get_type())

### anjuta_plugin_manager_error_get_type ()

    GType               anjuta_plugin_manager_error_get_type
                                                            (void);

Returns : |

### ANJUTA_TYPE_PLUGIN_MANAGER_ERROR

    #define ANJUTA_TYPE_PLUGIN_MANAGER_ERROR (anjuta_plugin_manager_error_get_type())

### anjuta_profile_error_get_type ()

    GType               anjuta_profile_error_get_type       (void);

Returns : |

### ANJUTA_TYPE_PROFILE_ERROR

    #define ANJUTA_TYPE_PROFILE_ERROR (anjuta_profile_error_get_type())

### anjuta_property_object_type_get_type ()

    GType               anjuta_property_object_type_get_type
                                                            (void);

Returns : |

### ANJUTA_TYPE_PROPERTY_OBJECT_TYPE

    #define ANJUTA_TYPE_PROPERTY_OBJECT_TYPE (anjuta_property_object_type_get_type())

### anjuta_property_data_type_get_type ()

    GType               anjuta_property_data_type_get_type  (void);

Returns : |

### ANJUTA_TYPE_PROPERTY_DATA_TYPE

    #define ANJUTA_TYPE_PROPERTY_DATA_TYPE (anjuta_property_data_type_get_type())

### anjuta_launcher_output_type_get_type ()

    GType               anjuta_launcher_output_type_get_type
                                                            (void);

Returns : |

### ANJUTA_TYPE_LAUNCHER_OUTPUT_TYPE

    #define ANJUTA_TYPE_LAUNCHER_OUTPUT_TYPE (anjuta_launcher_output_type_get_type())

### anjuta_session_phase_get_type ()

    GType               anjuta_session_phase_get_type       (void);

Returns : |

### ANJUTA_TYPE_SESSION_PHASE

    #define ANJUTA_TYPE_SESSION_PHASE (anjuta_session_phase_get_type())

### anjuta_serializer_mode_get_type ()

    GType               anjuta_serializer_mode_get_type     (void);

Returns : |

### ANJUTA_TYPE_SERIALIZER_MODE

    #define ANJUTA_TYPE_SERIALIZER_MODE (anjuta_serializer_mode_get_type())

### anjuta_vcs_status_get_type ()

    GType               anjuta_vcs_status_get_type          (void);

Returns : |

### ANJUTA_TYPE_VCS_STATUS

    #define ANJUTA_TYPE_VCS_STATUS (anjuta_vcs_status_get_type())

### gbf_project_error_get_type ()

    GType               gbf_project_error_get_type          (void);

Returns : |

### ANJUTA_TYPE_PROJECT_ERROR

    #define ANJUTA_TYPE_PROJECT_ERROR (gbf_project_error_get_type())

### gbf_project_capabilities_get_type ()

    GType               gbf_project_capabilities_get_type   (void);

Returns : |

### ANJUTA_TYPE_PROJECT_CAPABILITIES

    #define ANJUTA_TYPE_PROJECT_CAPABILITIES (gbf_project_capabilities_get_type())

### anjuta_project_node_type_get_type ()

    GType               anjuta_project_node_type_get_type   (void);

Returns : |

### ANJUTA_TYPE_PROJECT_NODE_TYPE

    #define ANJUTA_TYPE_PROJECT_NODE_TYPE (anjuta_project_node_type_get_type())

### anjuta_project_target_class_get_type ()

    GType               anjuta_project_target_class_get_type
                                                            (void);

Returns : |

### ANJUTA_TYPE_PROJECT_TARGET_CLASS

    #define ANJUTA_TYPE_PROJECT_TARGET_CLASS (anjuta_project_target_class_get_type())